opam-version: "2.0"
synopsis: "Crawler, server and sdk for Tezos rarible"
maintainer: ["contact@functori.com"]
authors: ["functori"]
license: "MIT"
homepage: "https://gitlab.com/functori/rarible"
bug-reports: "https://gitlab.com/functori/rarible/-/issues"
depends: [
  "dune" {>= "2.9"}
  "crawlori"
  "pgocaml_ppx"
  "ez_pgocaml"
  "kafka_lwt"
  "ocurl"
  "secp256k1-internal"
]
build: [
  ["dune" "subst"] {pinned}
  [
    "dune"
    "build"
    "-p"
    name
    "-j"
    jobs
    "@install"
  ]
]
dev-repo: "git://gitlab.com/functori/rarible"
pin-depends: [
  [ "ez_pgocaml.dev" "git+https://github.com/ocamlpro/ez_pgocaml.git" ]
  [ "ez_api.dev" "git+https://github.com/maxtori/ez_api.git#allow-static-dynamic" ]
  [ "hacl.dev" "git+https://gitlab.com/maxtori/ocaml-hacl.git" ]
  [ "json-data-encoding.dev" "git+https://gitlab.com/maxtori/json-data-encoding.git#schema-fix" ]
  [ "ppx_deriving_encoding.dev" "git+https://gitlab.com/maxtori/ppx_deriving_encoding.git#rarible" ]
  [ "ppx_deriving_jsoo.dev" "git+https://gitlab.com/o-labs/ppx_deriving_jsoo.git" ]
  [ "tzfunc.~dev" "git+https://gitlab.com/functori/tzfunc.git" ]
  [ "crawlori.~dev" "git+https://gitlab.com/functori/crawlori.git" ]
]
